Application: gvSIG desktop - gvSIG feature requests #2805
Delete USR:3857 and substitute EPSG:3785 (deprecated) with EPSG:3857 in the OSM extension
09/05/2014 11:48 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: OSM

Target version: 2.1.0-2260

gvSIG version: 21.0 Add-on resolve version:
Keywords: 3857, 3785, 900913 Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

After the update of the EPSG Registry in the jCRS extension, EPSG:3857 is available and consequently USR:3857 is not necessary
anymore. Consider also that USR:3857 has a wrong datum association ("D_Popular_Visualisation_Datum" instead of "World Geodetic
System 1984"), so it could not perform right conversion to WGS84. Furthermore, it's suitable to consider EPSG:3857 in place of
EPSG:3785 (deprecated) where it's used in the OSM extension. Thanks.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2740: OSM and PostGIS Ra... Closed 07/29/2014

Associated revisions

Revision 134 - 12/16/2014 02:14 PM - Joaquin del Cerro Murciano

refs #2805, sustituida la referencia a EPSG:3785 por EPSG:3857.

History

#1 - 09/08/2014 02:15 AM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #2740: OSM and PostGIS Raster tabs become empty with USR:3857 added

#2 - 12/10/2014 11:50 AM - Alvaro Anguix

- Status changed from New to Closed

El USR de OSM ya se eliminé de la extension de OSM.

#3 - 12/10/2014 11:55 AM - Antonio Falciano

Alvaro Anguix wrote:

EI USR de OSM ya se elimind de la extension de OSM.

True, but I'm not sure that EPSG:3785 (deprecated and not supported by gvSIG) was substituted with EPSG:3857.

#4 - 12/12/2014 08:29 PM - Antonio Falciano
- Target version set to 2.1.0-2268-rc4
- Status changed from Closed to New

Antonio Falciano wrote:

Alvaro Anguix wrote:

El USR de OSM ya se elimind de la extension de OSM.

True, but I'm not sure that EPSG:3785 (deprecated and not supported by gvSIG) was substituted with EPSG:3857.

In fact, USR:3857 was deleted in gvsig-osm:r120, but EPSG:3785 is still present in the code. For instance, you can find here and here.

| don't know if this code substitution can definitely solve #2739.
#5 - 12/16/2014 02:05 PM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2268-rc4 to 2.1.0-2260
#6 - 12/16/2014 02:16 PM - Joaquin del Cerro Murciano

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#7 - 12/17/2014 05:08 PM - Antonio Falciano

- Status changed from Fixed to Closed

| close the ticket, but unfortunately #2739 doesn't receive any benefit from this fix. In order to solve we need a more recent version of proj4.
https://redmine.gvsig.net/redmine/projects/gvsig-osm/repository/revisions/120/entry/org.gvsig.raster.osm/trunk/org.gvsig.raster.osm/org.gvsig.raster.osm.app.osmclient/src/main/java/org/gvsig/raster/osm/app/osmclient/AddOSMLayerWizard.java
https://redmine.gvsig.net/redmine/projects/gvsig-osm/repository/entry/org.gvsig.raster.osm/trunk/org.gvsig.raster.osm/org.gvsig.raster.osm.io/src/main/java/org/gvsig/raster/osm/io/OSMProvider.java

